Update an invitation

Partially updates a pending invitation, for example to change the role or the pre-filled name before the person accepts. organization_id, created_by_user_id and the invitation token cannot be changed.

Accepting or rejecting (status: "accepted" / "rejected") is done by the invited person from the link in the email; it only works for the person the invitation was sent to.

Endpoint

PATCH
/organizations-users-invites/:id

Body

Any of role, organization_role_id, first_name, last_name, avatar_url, email.

Request

Response

Returns the updated invitation object.

json

Errors

StatusWhen
400 Bad RequestAccepting an invitation that expired or is not pending.
403 ForbiddenTrying to move the invitation to another organization, or to accept/reject an invitation sent to a different email.

Report an issue with this documentation

Please log in to report issues with our documentation.